classification
Title: Remove deprecated tkinter functions
Type: enhancement Stage: resolved
Components: Tkinter Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: asvetlov Nosy List: asvetlov, jcea, michael.driscoll, python-dev, r.david.murray
Priority: deferred blocker Keywords: easy, patch

Created on 2012-03-29 19:57 by asvetlov, last changed 2012-10-05 02:03 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
tkinter.patch michael.driscoll, 2012-06-01 21:14 tkinter patch review
tkinter_doc.patch michael.driscoll, 2012-06-02 15:21 tkinter doc patch review
Messages (14)
msg157091 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-03-29 19:57
We need to remove deprecated tkinter.AtEnd and family in 3.4
msg157195 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-03-31 15:01
See issue #3035 for details.
msg157203 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-03-31 16:39
Also see #5136 for deprecated C Functions from _tkinter.c
That set have to go away in 3.4 as well as deprecations from tkinter/__init__.py
msg162108 - (view) Author: Michael Driscoll (michael.driscoll) * Date: 2012-06-01 21:14
After reading up on both issues, I think I found all the instances that were deprecated and removed them. A patch is attached that includes the edits for tkinter/__init__.py and the _tkinter.c files.
msg162109 - (view) Author: Michael Driscoll (michael.driscoll) * Date: 2012-06-01 21:18
I just noticed that we'll need to update the Documentation for tkinter too as it mentions the AtEnd etc methods. Do you want me to create a patch for that or a new ticket + patch?
msg162112 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2012-06-02 00:03
The doc changes should be part of the patch.  I forget, though, if we completely delete deprecated stuff from the docs or if we keep a deprecation stub in place.  

Note that it is possible (although in this case probably not too likely) that the code will drift before 3.4 and the patch need to be regenerated.
msg162141 - (view) Author: Michael Driscoll (michael.driscoll) * Date: 2012-06-02 15:21
Here's the doc patch. The local repo I was using yesterday is on a different computer that I don't have access to today. Hopefully applying two patches is okay. If not, I can redo the other patch and add it to this one.
msg162637 - (view) Author: Michael Driscoll (michael.driscoll) * Date: 2012-06-11 19:36
Do I need to do anything else to those patches I submitted?
msg162647 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-06-11 22:10
Michael Driscoll, thank you for patch.
Let's go on after Python 3.3 release — those patches should be applied for 3.4.
For now we need to wait.
msg171987 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-10-04 19:10
New changeset 83da5729e362 by Andrew Svetlov in branch 'default':
Issue #14446: Remove deprecated tkinter functions
http://hg.python.org/cpython/rev/83da5729e362
msg171988 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-10-04 19:13
Thanks to Michael Driscoll.
BTW you have forgotten to remove C functions from module definition in your patch.
msg172040 - (view) Author: Jesús Cea Avión (jcea) * (Python committer) Date: 2012-10-05 01:55
I am getting a warning about a statically defined function not being used:

<http://buildbot.python.org/all/builders/x86%20OpenIndiana%203.x/builds/4680/steps/compile/logs/warnings%20%283%29>

Static functions not called inside the module can be safely deleted. In this case, "Merge".
msg172041 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-10-05 01:58
New changeset f4f45d8ff785 by Jesus Cea in branch 'default':
Issue #14446: Remove deprecated tkinter functions: Delete an unused function to avoid a warning
http://hg.python.org/cpython/rev/f4f45d8ff785
msg172042 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-10-05 02:03
New changeset e278f3ab0190 by Jesus Cea in branch 'default':
Issue #14446: Remove deprecated tkinter functions: Delete an unused function to avoid a warning
http://hg.python.org/cpython/rev/e278f3ab0190
History
Date User Action Args
2012-10-05 02:03:14python-devsetmessages: + msg172042
2012-10-05 01:58:09python-devsetmessages: + msg172041
2012-10-05 01:55:50jceasetnosy: + jcea
messages: + msg172040
2012-10-04 19:13:28asvetlovsetstatus: open -> closed
resolution: fixed
messages: + msg171988

stage: resolved
2012-10-04 19:10:19python-devsetnosy: + python-dev
messages: + msg171987
2012-06-24 20:10:19pitrousetpriority: release blocker -> deferred blocker
2012-06-11 22:10:41asvetlovsetmessages: + msg162647
2012-06-11 19:37:00michael.driscollsetmessages: + msg162637
2012-06-02 15:21:25michael.driscollsetfiles: + tkinter_doc.patch

messages: + msg162141
2012-06-02 00:03:08r.david.murraysetmessages: + msg162112
2012-06-01 21:18:46michael.driscollsetmessages: + msg162109
2012-06-01 21:14:29michael.driscollsetfiles: + tkinter.patch

nosy: + michael.driscoll
messages: + msg162108

keywords: + patch
2012-03-31 16:39:11asvetlovsetmessages: + msg157203
2012-03-31 15:01:43asvetlovsetmessages: + msg157195
2012-03-30 21:20:26r.david.murraysettype: enhancement
2012-03-29 19:57:49asvetlovcreate